org.rrd4j.core

## Class RrdToolReader

- java.lang.Object
- - org.rrd4j.core.DataImporter
  - - org.rrd4j.core.RrdToolReader

- All Implemented Interfaces:
    Closeable, AutoCloseable

      class RrdToolReader
      extends DataImporter

  Reader for RRDTool format RRD files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RrdToolReader(String rrdPath)` Creates a new RRDTool reader.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAccumValue(int dsIndex)`
    `int` | `getArcCount()`
    `ConsolFun` | `getConsolFun(int arcIndex)`
    `int` | `getDsCount()`
    `String` | `getDsName(int dsIndex)`
    `DsType` | `getDsType(int dsIndex)`
    `long` | `getHeartbeat(int dsIndex)`
    `long` | `getLastUpdateTime()`
    `double` | `getLastValue(int dsIndex)`
    `double` | `getMaxValue(int dsIndex)`
    `double` | `getMinValue(int dsIndex)`
    `long` | `getNanSeconds(int dsIndex)`
    `int` | `getRows(int arcIndex)`
    `double` | `getStateAccumValue(int arcIndex, int dsIndex)`
    `int` | `getStateNanSteps(int arcIndex, int dsIndex)`
    `long` | `getStep()`
    `int` | `getSteps(int arcIndex)`
    `double[]` | `getValues(int arcIndex, int dsIndex)`
    `String` | `getVersion()`
    `double` | `getXff(int arcIndex)`
    `(package private) void` | `release()` Releases the RRDTool reader and closes the underlying RRD database.

    - ### Methods inherited from class org.rrd4j.core.DataImporter

      `close, getEstimatedSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RrdToolReader

          RrdToolReader(String rrdPath)
                 throws IOException

      Creates a new RRDTool reader.
      Parameters:
        `rrdPath` - path to the RRDTool file
      Throws:
        `IOException` - if an I/O error occurs

  - ### Method Detail

    - #### getAccumValue

          public double getAccumValue(int dsIndex)

      Specified by:
        `getAccumValue` in class `DataImporter`

    - #### getArcCount

          public int getArcCount()

      Specified by:
        `getArcCount` in class `DataImporter`

    - #### getConsolFun

          public ConsolFun getConsolFun(int arcIndex)

      Specified by:
        `getConsolFun` in class `DataImporter`

    - #### getDsCount

          public int getDsCount()

      Specified by:
        `getDsCount` in class `DataImporter`

    - #### getDsName

          public String getDsName(int dsIndex)

      Specified by:
        `getDsName` in class `DataImporter`

    - #### getDsType

          public DsType getDsType(int dsIndex)

      Specified by:
        `getDsType` in class `DataImporter`

    - #### getHeartbeat

          public long getHeartbeat(int dsIndex)

      Specified by:
        `getHeartbeat` in class `DataImporter`

    - #### getLastUpdateTime

          public long getLastUpdateTime()

      Specified by:
        `getLastUpdateTime` in class `DataImporter`

    - #### getLastValue

          public double getLastValue(int dsIndex)

      Specified by:
        `getLastValue` in class `DataImporter`

    - #### getMaxValue

          public double getMaxValue(int dsIndex)

      Specified by:
        `getMaxValue` in class `DataImporter`

    - #### getMinValue

          public double getMinValue(int dsIndex)

      Specified by:
        `getMinValue` in class `DataImporter`

    - #### getNanSeconds

          public long getNanSeconds(int dsIndex)

      Specified by:
        `getNanSeconds` in class `DataImporter`

    - #### getRows

          public int getRows(int arcIndex)

      Specified by:
        `getRows` in class `DataImporter`

    - #### getStateAccumValue

          public double getStateAccumValue(int arcIndex,
                                           int dsIndex)

      Specified by:
        `getStateAccumValue` in class `DataImporter`

    - #### getStateNanSteps

          public int getStateNanSteps(int arcIndex,
                                      int dsIndex)

      Specified by:
        `getStateNanSteps` in class `DataImporter`

    - #### getStep

          public long getStep()

      Specified by:
        `getStep` in class `DataImporter`

    - #### getSteps

          public int getSteps(int arcIndex)

      Specified by:
        `getSteps` in class `DataImporter`

    - #### getValues

          public double[] getValues(int arcIndex,
                                    int dsIndex)

      Specified by:
        `getValues` in class `DataImporter`

    - #### getVersion

          public String getVersion()

      Specified by:
        `getVersion` in class `DataImporter`

    - #### getXff

          public double getXff(int arcIndex)

      Specified by:
        `getXff` in class `DataImporter`

    - #### release

          void release()
                throws IOException

      Releases the RRDTool reader and closes the underlying RRD database.
      Overrides:
        `release` in class `DataImporter`
      Throws:
        `IOException` - if an I/O error occurs